dlartg.f(3)

NAME
dlartg.f -

SYNOPSIS

  Functions/Subroutines
subroutine dlartg (F, G, CS, SN, R)
DLARTG generates a plane rotation with real cosine and real sine.

Function/Subroutine Documentation

  subroutine dlartg (double precisionF, double precisionG, double precisionCS, double precisionSN, double precisionR)

Purpose:

     DLARTG generate a plane rotation so that
        [  CS  SN  ]  .  [ F ]  =  [ R ]   where CS**2 + SN**2 = 1.
        [ -SN  CS  ]     [ G ]     [ 0 ]
     This is a slower, more accurate version of the BLAS1 routine DROTG,
     with the following other differences:
        F and G are unchanged on return.
        If G=0, then CS=1 and SN=0.
        If F=0 and (G .ne. 0), then CS=0 and SN=1 without doing any
           floating point operations (saves work in DBDSQR when
           there are zeros on the diagonal).
     If F exceeds G in magnitude, CS will be positive.

Parameters:
    F

              F is DOUBLE PRECISION
              The first component of vector to be rotated.

    G

              G is DOUBLE PRECISION
              The second component of vector to be rotated.

    CS

              CS is DOUBLE PRECISION
              The cosine of the rotation.

    SN

              SN is DOUBLE PRECISION
              The sine of the rotation.

    R

              R is DOUBLE PRECISION
              The nonzero component of the rotated vector.
      This version has a few statements commented out for thread safety
      (machine parameters are computed on each entry). 10 feb 03, SJH.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 98 of file dlartg.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.